package io.zipcoder.interfaces;

public final class ZipCodeWilmington {
    private Students students;
    private static final ZipCodeWilmington INSTANCE =  new ZipCodeWilmington();
    private Instructors instructors;

    private ZipCodeWilmington() {
        students = Students.getINSTANCE();
        instructors = Instructors.getInstance();

    }

    public static ZipCodeWilmington getInstance() {
        return INSTANCE;
    }

    public void hostLecture(Teacher teacher, double numOfHours){

        teacher.lecture(students.getArray(), numOfHours);

    }

    public void hostLecture(long id, double numberOfHours) {
        instructors.findById(id).lecture(students.getArray(), numberOfHours);
    }

}
