package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class InstructorsTest {

    @Test
    public void testInstructorsSingleton() {

        Instructors  test1 =  Instructors.getInstance();
        Instructors  test2 =  Instructors.getInstance();

        Assert.assertSame(test1, test2);

    }

    @Test
    public void testInstructorsInitialization() {

        int expected = 7;
        int actual = Instructors.getInstance().getArray().length;
        Assert.assertEquals(expected, actual);
    }
}
