package io.zipcoder.interfaces;

public class Instructor extends Person implements Teacher {


    public Instructor(long id, String name) {
        super(id, name);
    }


    public void teach(Learner student, double numberOfHours) {

        student.learn(numberOfHours);
    }

    public void lecture(Learner[] students, double numberOfHours) {
        double numberOfHoursPerLearner = numberOfHours/students.length;

        for (Learner pupil : students) {
            pupil.learn(numberOfHoursPerLearner);
        }

    }
}
