package io.zipcoder.interfaces;


public final class Instructors extends People <Instructor>{
    private static final Instructors INSTANCE = new Instructors();

    private Instructors(){
        for (Educator each:Educator.values()) {
            final Instructor instructor = new Instructor(each.getId(), each.getName());
            personList.add(instructor);
        }


    }

    public static Instructors getInstance() {
        return INSTANCE;
    }

    @Override
    public Instructor[] getArray() {
        Instructor[] instructors = new Instructor[personList.size()];
        for (int i = 0; i < personList.size(); i++) {
            instructors[i] = personList.get(i);
        }
        return instructors;
    }

}
