package io.zipcoder.interfaces;

import java.util.ArrayList;


public abstract class People<T extends Person>{
    ArrayList<T> personList = new ArrayList<>();

    public People() {
        //this.personList;
    }

    public void add(T person) {

        personList.add(person);
    }

    public int getCount() {

        return personList.size();
    }

    public void remove(T person) {

        personList.remove(person);
    }

    public void remove(long id) {

       personList.removeIf(Person -> Person.getId() == id);
    }

    public T  findById(long id) {
        T retrieved = null;
        for (T people: personList) {
            if (people.getId() == id){
                retrieved = people;
            }
        }
        return retrieved;
    }

    public abstract T[] getArray();

    public void removeAll() {
        personList.clear();
    }
}
