package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentTest {

    @Test
    public void testImplementation() {
        Student testStudent = new Student(1, "Bob");

        Assert.assertTrue(testStudent instanceof Learner);
    }

    @Test
    public void testInheritance() {
        Student testStudent = new Student(1, "Bob");

        Assert.assertTrue(testStudent instanceof Person);

    }

    @Test
    public void testLearn() {
        Student testStudent = new Student(1, "Bob");

        double expected = 10.0;
        testStudent.learn(10.0);
        double actual = testStudent.getTotalStudyTime();

        Assert.assertEquals(expected, actual, 01);

    }
}